Subject: Re: linux-next: manual merge of the mm tree with Linus' tree

From: Baoquan He <[email-masked]>
Date: Fri, 7 Jul 2023 12:52:06 +0800

On 07/07/23 at 08:54am, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the mm tree got a conflict in:
> 
>   arch/s390/kernel/perf_cpum_sf.c
> 
> between commits:
> 
>   51f513fd9659 ("s390/mm: do not include <asm-generic/io.h> directly")
>   b378a9826143 ("s390: include linux/io.h instead of asm/io.h")

Thanks, Stephen.

Hi Alexander,

Since commit b378a9826143 acted to fix all places of <asm-generic/io.h>
direct including, my patch of commit 51f513fd9659 better be dropped?

> 
> from Linus' tree and commit:
> 
>   c594d5c4b630 ("s390: mm: convert to GENERIC_IOREMAP")

I forgot dropping the hunk in arch/s390/kernel/perf_cpum_sf.c and that
cause the conflict. Sorry about the inconvenience.

Thanks
Baoquan

> 
> from the mm tree.
> 
> I fixed it up (I just used the former) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell